<?php

ob_start();
error_reporting(0);
include('config.php');
include('lib/jdf.php');
$token = '1943599226:AAFQged6qKWSJ3i_yiNTbK3EcylN9eVWzu0';//توکن ربات 
$admin = [596608189,00000000];//ایدی ادمین
$time = jdate('H:i:s');
$date = jdate('j F Y');
define('API_KEY',$token);
$cbvarizi="@RocetSeenPostRocetSeenPost";//کانال واریزی بد از پرداخت فاکتور به کانال ارسال خواهد شد
//========================================================
function bot($method, $datas = []){
$url = "https://api.telegram.org/bot".API_KEY."/".$method;
$ch = curl_init();
curl_setopt($ch,CURLOPT_URL, $url);
curl_setopt($ch,CURLOPT_RETURNTRANSFER,true);
curl_setopt($ch,CURLOPT_POSTFIELDS, $datas);
$res = curl_exec($ch);
if(curl_error($ch)) {
var_dump(curl_error($ch));
}else{
return json_decode($res);
}
}
//========================================================
function sendmessage($chat_id,$text){
bot('sendMessage', [
'chat_id' => $chat_id,
'text' => $text,
'parse_mode' => "MarkDown",
]);
}
//========================================================
$MerchantID = '749038ae-1274-4bb6-bdea-c2a00a378096';//مرچنت کد
$Amount = $_GET['amount'];
$Authority = $_GET['Authority'];
$coin = $_GET['coin'];
$user = $_GET['id'];
//============================
if($_GET['Status'] == 'OK'){
$client = new SoapClient('https://www.zarinpal.com/pg/services/WebGate/wsdl', ['encoding' => 'UTF-8']);
$result = $client->PaymentVerification(['MerchantID' => $MerchantID,'Authority' => $Authority,'Amount' => $Amount,]);
if($result->Status == 100){
$userdata = mysqli_fetch_assoc(mysqli_query($connect,"SELECT * FROM `user` WHERE `id` = '$user' LIMIT 1"));
$pluscoin = $userdata['coin']+ $Amount;
echo 'خرید شما با موفقیت انجام شد کد پیگیری » '.$result->RefID;
header("location: tg://resolve?domain=$botname");
bot('sendmessage',[
'chat_id'=>$user,
'text'=>"✅ تراکنش شما با موفقیت انجام شد و موجودی حساب شما افزایش یافت.

☑️ مبلغ پرداخت شده : $Amount تومان
💰 موجودی جدید شما : $pluscoin سکه
⏱ زمان پرداخت : $time
📆 تاریخ : $date
💐 با تشکر از خرید شما",
'parse_mode'=>'Markdown',
]);
$connect->query("UPDATE `user` SET `coin` = '$pluscoin' WHERE `id` = '$user' LIMIT 1");
$connect->query("INSERT INTO `buy` (`id` , `amount` , `time`) VALUES ('$user' , '$Amount' , '$time')");
bot('sendmessage',[
'chat_id'=>$cbvarizi,
'text'=>"✅ یک پرداخت با مشخصات زیر هم اکنون صورت گرفت.

☑️ مبلغ پرداخت شده : $Amount تومان
💰 موجودی جدید کاربر : $pluscoin سکه
⏱ زمان پرداخت : $time
📆 تاریخ : $date
👤 [جهت مشاهده کاربر کلیک نمایید.](tg://user?id=$user)
",
'parse_mode'=>'Markdown',
]);
}else{
echo 'پرداخت شما قبلا ثبت شده است » '.$result->RefID;
header("location: tg://resolve?domain=$botname");
}
}else{
echo 'پرداخت انجام نشد » '.$result->RefID;
header("location: tg://resolve?domain=$botname");
bot('sendmessage',[
'chat_id'=>$user,
'text'=>"❌ پرداخت شما انجام نشد.

⚠️ جهت مجدد خرید باید دوباره اقدام نمایید و با لینک جدید وارد درگاه پرداخت شوید.",
'parse_mode'=>'html',
]);
}
?>